#include "MenuTextMenu_Player1Keyboard.h"

InputSetting_Keyboard* MenuTextMenu_Player1Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player1Keyboard ? gameFunc->GetInputSetting_Player1Keyboard() : nullptr;
}

SDL_Scancode* MenuTextMenu_Player1Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_menu;
}

std::shared_ptr<Entity> CreateMenuTextMenu_Player1Keyboard()
{
	return std::make_shared<MenuTextMenu_Player1Keyboard>();
}


